OFC2 4 Rails
For rails >= 3.1 add it to Gemfile
gem 'ofc2'

See Charts section for usage examples.
Grab sample application ( this project site).

I drop support for RoR older than 3.1